error: unpacking of archive failed on file /usr/lib64/riak/erts-5.7.5/bin/beam; 4d53dbb2: cpio: Digest mismatch

Mike Stoddart stodge at gmail.com
Thu Feb 10 09:26:01 EST 2011


I noticed there's another version for Fedora 12: 0.14.0-2. I tried the
RPM and it works.

Thanks
Mike

On Thu, Feb 10, 2011 at 9:24 AM, David Smith <dizzyd at basho.com> wrote:
> On Thu, Feb 10, 2011 at 5:38 AM, Mike Stoddart <stodge at gmail.com> wrote:
>> I'm trying to install Riak on Fedora 12 using the RPM from Basho's
>> download site. I'm getting a digest mismatch error - does this mean my
>> Fedora is subtly different from the one used to build the original
>> RPM?
>
> Hi Mike...
>
> No, this is a red herring (on Redhat, haha). The mismatch is a result
> of the Erlang build we currently have on the Fedora buildslave not
> complying with some packaging requirements in Fedora. We are actively
> working on addressing this, but in the interim I've uploaded a manual
> build on Fedora 13:
>
> http://downloads.basho.com/riak/CURRENT/riak-0.14.0-1.fc13.x86_64.rpm
>
> I'm not sure if that works with Fedora 12 -- if it doesn't let me know
> and I'll spin up a Fedora 12 system and try again. :)
>
> Thanks!
>
> D.
>
> --
> Dave Smith
> Engineering Manager
> Basho Technologies, Inc.
> dizzyd at basho.com
>




More information about the riak-users mailing list